Bug 805430 - IPA dnszone-add does not accept the utmost valid serial number.
IPA dnszone-add does not accept the utmost valid serial number.
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
Depends On:
  Show dependency treegraph
Reported: 2012-03-21 05:48 EDT by Gowrishankar Rajaiyan
Modified: 2015-05-20 11:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 04:10:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2012-03-21 05:48:03 EDT
Description of problem:
rfc1912 states DNS serial won't overflow until the year 4294, which as per the syntax makes 4294123199 a valid value.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
[root@primenova ~]# ipa dnszone-add testzone --serial=4294123199
Actual results:
ipa: ERROR: invalid 'serial': can be at most 2147483647

Expected results:
Zone should be created successfully and at most should be 4294123199.

Additional info:
Comment 2 Martin Kosek 2012-03-21 05:52:12 EDT
Upstream ticket:
Comment 4 Jenny Galipeau 2012-09-25 12:41:59 EDT
regression test automated in DNS test suite
Comment 7 Namita Soman 2012-12-17 22:50:04 EST
Verified using: ipa-server-3.0.0-11.el6.x86_64

test output:
:: [   LOG    ] :: 805430 IPA dnszone-add does not accept the utmost valid serial number.

kdestroy: No credentials cache found while destroying cache
spawn /usr/bin/kinit -V admin
Using default cache: /tmp/krb5cc_0
Using principal: admin@TESTRELM.COM
Password for admin@TESTRELM.COM:
Authenticated to Kerberos v5
Default principal: admin@TESTRELM.COM
:: [22:10:00] ::  kinit as admin with password Secret123 was successful.
:: [   PASS   ] :: Kinit as admin user
  Zone name: maxtzone
  Authoritative nameserver: nightcrawler.testrelm.com.
  Administrator e-mail address: admin.testrelm.com.
  SOA serial: 4294123199
  SOA refresh: 3600
  SOA retry: 900
  SOA expire: 1209600
  SOA minimum: 3600
  BIND update policy: grant TESTRELM.COM krb5-self * A; grant TESTRELM.COM krb5-self * AAAA; grant TESTRELM.COM krb5-self * SSHFP;
  Active zone: TRUE
  Dynamic update: FALSE
  Allow query: any;
  Allow transfer: none;
:: [   PASS   ] :: test to make sure the maxtzone dnszone-add returns 0
:: [   PASS   ] :: check output of dnszone-add for error message
Comment 9 errata-xmlrpc 2013-02-21 04:10:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.